package minesweeper;

import javax.swing.JFrame;

/**
 *
 * The main class of the Minesweeper game.
 *
 */
public class Minesweeper
{
  /**
   * The program entry point.
   */
  public static void main( final String[] strCommandLineArgs )
  {
    try
    {
      final MainFrame    mfrmMainFrame= new MainFrame( 30, 16, 99 );

      mfrmMainFrame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    }
    catch (AssertionException ae)
    {
      /***** an assertion was violated *****/
      System.err.println( "\n\n!!!!!  assertion failed !!!!!\n" );
      ae.printStackTrace();
      System.exit( 69 );
    }
  }
}
